# $Revision: 1.14.2.1 $, $Date: 2003/08/31 20:52:44 $
%define		_prenum		pre1
%define         _version         0.9.6
Summary:	High Performance Liquid
Summary(pl):	Wysoko wydajny Liquid
Name:		kde-theme-mosfet-liquid
Version:	%{_version}%{_prenum}
Release:	2
License:	GPL
Group:		Themes
Source0:	http://www.mosfet.org/mosfet-liquid%{_version}-%{_prenum}.tar.gz
# Source0-md5:	b307becc99285f4463c65703622ed859
Source1:	%{name}.desktop
URL:		http://www.mosfet.org/liquid.html
BuildRequires:	kdebase-devel >= 3.1.1
BuildRequires:	kdelibs-devel >= 3.1.1
BuildRequires:	qt-devel >= 3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
High Performance Liquid is an efficent and streamlined version of a
liquid style UI. It makes use of KDE/Qt's widget styling engine, which
uses custom C++ code to render the widgets. To meet the high
performance objectives, the style is made of tileable components
rather than pixmaps (which would need to be scaled).

%description -l pl
Efektywna wersja popularnego stylu interfejsu uytkownika - liquid.

%prep
%setup  -q -n mosfet-liquid%{_version}%{_prenum}

%build
%configure
#--enable-objprelink
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings/KDE/LookNFeel

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings/KDE/LookNFeel/liquid.desktop

# splash screens conflict
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/ksplash

%post
/sbin/ldconfig
echo "You may have to run kinstalltheme for this theme to become available"
echo "in currently opened sessions."

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/plugins/styles/*.la
%{_applnkdir}/Settings/KDE/LookNFeel/liquid.desktop
%{_datadir}/apps/*/*.*
%{_datadir}/apps/*/*/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-theme-mosfet-liquid.spec,v $
Revision 1.14.2.1  2003/08/31 20:52:44  blues
- prefix for RA

Revision 1.14  2003/08/31 20:51:40  blues
- release 2

Revision 1.13  2003/05/28 12:59:18  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:49:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:52:00  juandon
- removed two lines with define

Revision 1.10  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/11/01 10:27:30  djurban
- Updated to 0.9.6pre1

Revision 1.8  2002/09/09 09:21:50  qboosh
- removed dirs that belong to kdelibs; release 4

Revision 1.7  2002/08/29 08:26:20  blues
- BR added

Revision 1.6  2002/08/28 04:54:16  blues
- release 3 - disable objprelink, better BR

Revision 1.5  2002/07/28 21:23:35  blues
- one missing file

Revision 1.4  2002/07/28 21:21:01  blues
- removed duplicate %post

Revision 1.3  2002/07/28 20:03:43  mkochano
- Release 2.
- Added post section with message.

Revision 1.2  2002/06/06 09:45:46  mkierus
- updated to 0.9.5

Revision 1.1  2002/04/30 12:14:55  misiek
- initial pld release
